            /*==================== GOOGLE FONTS ====================*/
            
            @import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");
            /*==================== VARIABLES CSS ====================*/
            
             :root {
                --header-height: 3rem;
                /*========== Colors ==========*/
                /* Change favorite color */
                --hue-color: 215;
                /*230*/
                /*Purple 250 - Green 142 - Blue 230 or 227 - Pink 340*/
                /* HSL color mode */
                --first-color: hsl(var(--hue-color), 100%, 61%);
                --first-color-second: hsl(var(--hue-color), 70%, 61%);
                --first-color-alt: hsl(var(--hue-color), 57%, 53%);
                --first-color-lighter: hsl(var(--hue-color), 92%, 85%);
                --title-color: hsl(var(--hue-color), 8%, 15%);
                /* --title-color: hsl(var(--hue-color), 8%, 98%); */
                --text-color: hsl(var(--hue-color), 8%, 45%);
                --text-color-light: hsl(var(--hue-color), 8%, 65%);
                --input-color: hsl(var(--hue-color), 70%, 96%);
                --body-color: hsl(var(--hue-color), 60%, 99%);
                --container-color: #fff;
                --scroll-bar-color: hsl(var(--hue-color), 12%, 90%);
                --scroll-thumb-color: hsl(var(--hue-color), 12%, 80%);
                /*========== Font and typography ==========*/
                /* --body-font: 'Poppins', sans-serif; */
                /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
                --big-font-size: 2rem;
                --h1-font-size: 1.5rem;
                --h2-font-size: 1.25rem;
                --h3-font-size: 1.125rem;
                --normal-font-size: .938rem;
                --small-font-size: .813rem;
                --smaller-font-size: .75rem;
                /*========== Font weight ==========*/
                --font-medium: 500;
                --font-semi-bold: 600;
                /*========== Margenes Bottom ==========*/
                /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
                --mb-0-25: .25rem;
                --mb-0-5: .5rem;
                --mb-0-75: .75rem;
                --mb-1: 1rem;
                --mb-1-5: 1.5rem;
                --mb-2: 2rem;
                --mb-2-5: 2.5rem;
                --mb-3: 3rem;
                /*========== z index ==========*/
                --z-tooltip: 10;
                --z-fixed: 100;
                --z-modal: 1000;
            }
            /* Font size for large devices */
            
            @media screen and (min-width: 968px) {
                 :root {
                    --big-font-size: 3rem;
                    --h1-font-size: 2.25rem;
                    --h2-font-size: 1.5rem;
                    --h3-font-size: 1.25rem;
                    --normal-font-size: 1rem;
                    --small-font-size: .875rem;
                    --smaller-font-size: .813rem;
                }
            }
            /*========== Variables Dark theme ==========*/
            
            body.dark-theme {
                /* HSL color mode */
                --first-color-second: hsl(var(--hue-color), 30%, 8%);
                --title-color: hsl(var(--hue-color), 8%, 95%);
                --title-color: hsl(var(--hue-color), 8%, 98%);
                --text-color: hsl(var(--hue-color), 8%, 75%);
                --input-color: hsl(var(--hue-color), 29%, 16%);
                --body-color: hsl(var(--hue-color), 28%, 12%);
                --container-color: hsl(var(--hue-color), 29%, 16%);
                --scroll-bar-color: hsl(var(--hue-color), 12%, 48%);
                --scroll-thumb-color: hsl(var(--hue-color), 12%, 36%);
            }
            /*========== Button Dark/Light ==========*/
            
            .nav__btns {
                display: flex;
                align-items: center;
            }
            
            .change-theme {
                font-size: 1.25rem;
                color: var(--title-color);
                margin: var(--mb-1);
                cursor: pointer;
            }
            
            .change-theme:hover {
                color: var(--first-color);
            }
            /*==================== BASE ====================*/
            
            * {
                box-sizing: border-box;
                padding: 0;
                margin: 0;
            }
            
           
            ul {
                list-style: none;
            }
            
            a {
                text-decoration: none;
            }
            
            img {
                max-width: 100%;
                height: auto;
            }
            /*==================== REUSABLE CSS CLASSES ====================*/
            
            .section {
                padding: 2rem 0 4rem;
            }
            
            .section__title {
                font-size: var(--h1-font-size);
                color: var(--title-color);
            }
            
            .sect {
                text-align: center;
                margin: 30px;
            }
            
            .section__subtitle {
                display: block;
                font-size: var(--small-font-size);
                margin-bottom: var(--mb-3);
            }
            
            .section__title,
            .section__subtitle {
                text-align: center;
            }
            /*==================== LAYOUT ====================*/
            
            .container {
                max-width: 768px;
                margin-left: var(--mb-1-5);
                margin-right: var(--mb-1-5);
            }
            
            .grid {
                display: grid;
                gap: 1.5rem;
            }
            
            .header {
                width: 100%;
                position: fixed;
                bottom: 0;
                left: 0;
                z-index: var(--z-fixed);
                background-color: var(--body-color);
            }
            /*==================== NAV ====================*/
            
            .nav {
                max-width: 968px;
                height: var(--header-height);
                display: flex;
                justify-content: space-between;
                align-items: center;
            }
            
            .nav__logo,
            .nav__toggle {
                color: var(--title-color);
                font-weight: var(--font-medium);
            }
            
            .nav__logo:hover {
                color: var(--first-color);
            }
            
            .nav__toggle {
                font-size: 1.1rem;
                cursor: pointer;
            }
            
            .nav__toggle:hover {
                color: var(--first-color);
            }
            
            @media screen and (max-width: 767px) {
                .nav__menu {
                    position: fixed;
                    bottom: -100%;
                    left: 0;
                    width: 100%;
                    background-color: var(--body-color);
                    padding: 2rem 1.5rem 4rem;
                    box-shadow: 0 -1px 4px;
                    border-radius: 2.5rem 2.5rem 0 0;
                    transition: .4s;
                }
            }
            
            .nav__list {
                grid-template-columns: repeat(2, 1fr);
                gap: 2rem;
            }
            
            .nav__link {
                display: flex;
                flex-direction: column;
                align-items: center;
                font-size: var(--small-font-size);
                color: var(--title-color);
                font-weight: var(--font-medium);
            }
            
            .nav__link:hover {
                color: var(--first-color);
            }
            
            .nav__icon {
                font-size: 1.2rem;
            }
            
            .nav_close {
                position: absolute;
                right: 1.3rem;
                bottom: .5rem;
                font-size: 1.5rem;
                cursor: pointer;
                color: var(--first-color);
            }
            
            .nav__close:hover {
                color: var(--first-color-alt);
            }
            /* show menu */
            
            .show-menu {
                bottom: 0;
            }
            /* Active link */
            
            .active-link {
                color: var(--first-color);
            }
            /* Change background header */
            
            .scroll-header {
                box-shadow: 0 -1px 4px rgba(0, 0, 0, .15);
            }
            /*==================== HOME ====================*/
            
            .home__container {
                gap: 1rem;
            }
            
            .home__content {
                grid-template-columns: .5fr 3fr;
                padding-top: 3.5rem;
                align-items: center;
            }
            
            .home__social {
                display: grid;
                grid-template-columns: max-content;
                row-gap: 1rem;
            }
            
            .home__social-icon {
                font-size: 1.25rem;
                color: var(--first-color);
            }
            
            .home__social-icon:hover {
                color: var(--first-color);
            }
            
            .home__blob {
                /*width:200px;*/
                width: 290px;
                fill: var(--first-color);
            }
            
            .home__blob-img {
                width: 210px;
                /*width: 170px;*/
            }
            
            .home__data {
                grid-column: 1/3;
            }
            
            .home__title {
                font-size: var(--big-font-size);
            }
            
            .home__subtitle {
                font-size: var(--h3-font-size);
                color: var(--text-color);
                font-weight: var(--font-medium);
                margin-bottom: var(--mb-0-75);
            }
            
            .home__description {
                margin-bottom: var(--mb-2);
            }
            
            .home__scroll {
                display: none;
            }
            
            .home__scroll-button {
                /*color: rgba(250, 250, 250, 0);opacity:0.4;*/
                color: var(--first-color);
                /*color: var(--text-color);*/
                transition: .3s;
            }
            
            .home__scroll-button:hover {
                transform: translateY(.25rem);
            }
            
            .home__scroll-mouse {
                font-size: 2rem;
            }
            
            .home__scroll-name {
                font-size: var(--small-font-size);
                /*color: white;*/
                /*color: var(--text-color);*/
                color: var(--title-color);
                font-weight: var(--font-medium);
                margin-right: var(--mb-0-25);
            }
            
            .home__scroll-arrow {
                font-size: 1.25rem;
            }
          
            /*========== SCROLL UP ==========*/
            
            .scrollup {
                position: fixed;
                right: 1rem;
                bottom: -20%;
                background-color: var(--first-color);
                padding: 0 .3rem;
                border-radius: .4rem;
                z-index: var(--z-tooltip);
                transition: .4s;
            }
            
            .scrollup:hover {
                background-color: var(--first-color-alt);
            }
            
            .scrollup__icon {
                font-size: 1.5rem;
                color: white;
            }
            /* Show scroll */
            
            .show-scroll {
                bottom: 5rem;
            }
            /*========== SCROLL BAR ==========*/
            
             ::-webkit-scrollbar {
                width: .60rem;
                background-color: var(--scroll-bar-color);
                border-radius: .5rem;
            }
            
             ::-webkit-scrollbar-thumb {
                background-color: var(--scroll-thumb-color);
                border-radius: .5rem;
            }
            
             ::-webkit-scrollbar-thumb:hover {
                background-color: var(--text-color-light);
            }
            /*====================MEDIA QUERIES====================*/
            /* For small devices */
            
            @media screen and (max-width: 350px) {
                .container {
                    margin: 0 var(--mb-1);
                }
                .nav__menu {
                    padding: 2rem 0 4rem;
                }
                .nav__list {
                    column-gap: 0;
                }
                .home__content {
                    display: flex;
                    flex-direction: column;
                    row-gap: 2rem;
                }
                .home__blob {
                    width: 180px;
                }
                .skills__title {
                    font-size: var(--normal-font-size);
                }
                .qualification__data {
                    gap: .5rem;
                }
                .services__container {
                    display: flex;
                    flex-wrap: wrap;
                    justify-content: center;
                }
                .services__content {
                    padding-right: 1.5rem;
                }
                .services__modal {
                    padding: 0 .5rem;
                }
                .project__img {
                    width: 100%;
                }
                .testimonial__data,
                .testimonial__header {
                    flex-direction: column;
                    align-items: center;
                }
                .testimonial__img {
                    margin-right: 0;
                    margin-bottom: var(--mb-0-25);
                }
                .testimonial__data,
                .testimonial__description {
                    text-align: center;
                }
            }
            /* For medium devices */
            
            @media screen and (min-width: 568px) {
                .container {
                    margin: 0 auto;
                }
                .home__content {
                    display: grid;
                    grid-template-columns: max-content 1fr 1fr;
                    column-gap: 2rem;
                }
                .home__data {
                    grid-column: initial;
                }
                .home__img {
                    order: 1;
                    justify-self: center;
                }
                .programming__lang__icon {
                    width: 3rem;
                    height: 3rem;
                }
                .about__container,
                .skills__container,
                .portfolio__container,
                .project__container,
                .contact__container,
                .footer__container {
                    display: grid;
                    grid-template-columns: repeat(2, 1fr);
                    row-gap: 2rem;
                }
                .qualification__sections {
                    display: grid;
                    grid-template-columns: .6fr;
                    justify-content: center;
                }
            }
            /* For large devices */
            
            @media screen and (min-width: 768px) {
                body {
                    margin: 0;
                }
                .section {
                    padding: 4rem 0;
                }
                .section__subtitle {
                    margin-bottom: 3rem;
                }
                .header {
                    top: 0;
                    bottom: initial;
                }
                .header,
                .main,
                .footer__container {
                    padding: 0 1rem;
                }
                .nav {
                    height: calc(var(--header-height) + 1.5rem);
                    column-gap: 1rem;
                }
                .nav__icon,
                .nav__close,
                .nav__toggle {
                    display: none;
                }
                .nav__list {
                    display: flex;
                    column-gap: 2rem;
                }
                .nav__menu {
                    margin-left: auto;
                }
                .change-theme {
                    margin: 0;
                }
                .home__container {
                    row-gap: 3rem;
                }
                .home__content {
                    padding-top: 4rem;
                    column-gap: 2rem;
                }
            }
           
            /*==================== TYPE JS INTRO  =========================*/
            
            .intro {
                color: var(--text-color);
                font-weight: var(--font-medium);
                font-size: var(--h1-font-size);
                /*border-right: 2px solid;*/
                /*margin-bottom: var(--mb-0-75);*/
            }